package workforecast

class ResourcingController {

    def index() 
    { 
        def year = params.int("year")
        def week = params.int("week")
        def percentage = params.int("percentage")
        def operation = params.int("operationID")
        def selectedUsers
        
        if((!year) || (!week) || (!percentage) || (!operation)) //default data
        {
            def c1 = new GregorianCalendar()
            year = c1.get(Calendar.YEAR)
            week = c1.get(Calendar.WEEK_OF_YEAR)+1
            operation=0
        }
        else//search
        {
            def allUsers = User.findAllByRole("Consultant")
            selectedUsers = new ArrayList()
            
            allUsers.each
            {
                U->
                def Activities = U.activities
                def weekLoad = 0
                Activities.each
                {
                    a->
                    def W = Week.findByActivityAndWeekYearAndWeekNumber(a,year,week)
                    if(W)
                        weekLoad+=W.weekPercentage
                }
                switch(operation)
                {
                    case 0://equal
                        if(weekLoad==percentage)
                          selectedUsers.add(U)
                        break
                    case 1://greater than
                        if(weekLoad>percentage)
                          selectedUsers.add(U)
                        break
                    case 2://less than
                        if(weekLoad<percentage)
                          selectedUsers.add(U)
                        break
                }//switch
            }
            
        }
        
        render(view:"index", model:[startyear:session.user.employmentYear[0],year:year, week:week, percentage:percentage, operationID:operation, users:selectedUsers])
    }
}
